#### D.15.14.18 kernelLattice

Procedure from library `multigrading.lib` (see multigrading_lib).

Usage:
  kernelLattice(P); intmat P

Purpose:
  compute a integral basis for the kernel of the
  homomorphism of lattices defined by the intmat P.

Returns:
  intmat

Example:

    LIB "multigrading.lib";
    intmat LL[3][4] =
    1,4,7,10,
    2,5,8,11,
    3,6,9,12;
    // should be a 4x2 matrix whose columns
    // generate the same lattice as [-1,2,-1,0],[2,-3,0,1]
    intmat B = kernelLattice(LL);
    print(B);
    ==>     -1     2
    ==>      2    -3
    ==>     -1     0
    ==>      0     1
    // another example
    intmat C[2][4] =
    1,0,2,0,
    0,1,2,0;
    // should result in a matrix whose
    // columns create the same  lattice as
    // [-2,-2,1,0], [0,0,0,1]
    intmat D = kernelLattice(C);
    print(D);
    ==>     -2     0
    ==>     -2     0
    ==>      1     0
    ==>      0     1
    kill B;

User manual for Singular version 4.4.1, 2025, generated by texi2html.